## com.google.gwt.dom.client
Class ParamElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.ParamElement

    public class ParamElement

extends Element

Parameters fed to the OBJECT element.

See Also:
  W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` `ParamElement()`

Method Summary
`static ParamElement` `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`java.lang.String` `getName()` The name of a run-time parameter.
`java.lang.String` `getValue()` The value of a run-time parameter.
`void` `setName(java.lang.String name)` The name of a run-time parameter.
`void` `setValue(java.lang.String value)` The value of a run-time parameter.

Methods inherited from class com.google.gwt.dom.client.Element

`as, getAbsoluteLeft, getAbsoluteTop, getAttribute, getClassName, getDir, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getParentElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTagName, getTitle, isOrHasChild, removeAttribute, scrollIntoView, setAttribute, setClassName, setDir, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyString, setScrollLeft, setScrollTop, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParamElement

    protected ParamElement()

Method Detail

### as

    public static ParamElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### getName

    public final java.lang.String getName()

  The name of a run-time parameter.

  See Also:
    W3C HTML Specification

### getValue

    public final java.lang.String getValue()

  The value of a run-time parameter.

  See Also:
    W3C HTML Specification

### setName

    public final void setName(java.lang.String name)

  The name of a run-time parameter.

  See Also:
    W3C HTML Specification

### setValue

    public final void setValue(java.lang.String value)

  The value of a run-time parameter.

  See Also:
    W3C HTML Specification